<?php

require_once "common.inc.php";
auth();
$lock = lock_set();

$filename = DATADIR . getUser('oddilid') . ".csv";
$csv = getCsv($filename);




/* -------------------- uloen poslanch dat -------------------- */
if($postdata = $_POST['d']){
  $fw = fopen($filename, "w") or die('nepovedlo se oteven souboru pro zpis - '.$filename);
  fputcsv($fw, $csv[HDR], ";");    //vlome hlaviku
  
  //zjistme sla sloupc, kde jsou checkboxy
  $colid_vyrazeno = array_search("vyazeno", $csv[HDR]);
  $colid_dotace = array_search("dotace", $csv[HDR]);
  
  foreach($postdata as $rowid=>$row){
    //do $row pidme nezakrtnut checkboxy jako hodnotu "0"
    $row[$colid_vyrazeno] = isset($row[$colid_vyrazeno]) ? "1" : "0";
    $row[$colid_dotace] = isset($row[$colid_dotace]) ? "1" : "0";
    
    //seadme podle selnho kle
    ksort($row);
    
    //pokud nam MAGIC_QUOTES pridal zpetna lomitka, tak je odebereme
    if(get_magic_quotes_gpc())
      $row = array_map("stripslashes", $row);
    
    //testujeme, jestli [2. a dal] prvky $row obsahuji nejakou hodnotu
    if(implode("", array_slice($row,1)))
      fputcsv($fw, $row, ";"); //ulome csv dku
  }
  
  fclose($fw);
  createCompositeCsv();
  header("Location: ./");
  exit;
}




/* -------------------- download csvka -------------------- */
if($_GET["down"]){
  header("Content-Type: application/octet-stream",true);
  header("Content-Length: ".filesize($filename));
  header("Content-Disposition: inline; filename=".getUser('oddilid').".csv");
  readfile($filename);
  exit;
}




/* -------------------- zobrazen tabulky -------------------- */
page_header(getUser('login'));
echo "<p><a href='#navod'>nvod dole</a>, <a href='?logout=1'>odhlsit se</a>,
      posledn editace: ".date("j.n.Y h:i", filemtime($filename)).",
      <a href='?down=1'>sthnout csv</a>";

if($lock){
  echo "<p class='zprava'>Pozor, nkdo tento soubor mon edituje. <a href='?logout=1'>Odhlate se</a> a vrate pozdji. Krom tohoto okna prohlee jet: ";
  foreach($lock as $usr=>$tim) echo "<b>".substr($usr,32)."</b> ($tim), ";
}

echo "<form action='?save' method='post'>
      <p><input type='submit' value='Uloit'> <span class='jsid-addnew'> a zobrazit dal nov dek</span>
      <p>
      <table>
      <tr>";
foreach($csv[HDR] as $col) echo "<th>$col</th>";
//echo "<th>&nbsp;</th>";
echo "</tr>\n<tbody id='csvdata'>";


$csv[DATA][] = array(0=>getUser('oddilid')); //przdn dka nakonec pro pidvn (pedvyplnme)
foreach($csv[DATA] as $rowid=>$row)
{
  echo "<tr>";
  
  //vypeme sloupce
  foreach($csv[HDR] as $colid=>$col){
    $params = " name='d[$rowid][$colid]'";
    $params .= " value='".htmlspecialchars($row[$colid])."'";
    $params .= " title='$col'";
    
    if($col == 'vyazeno' OR $col == 'dotace')
      $params .= " type='checkbox' " . ($row[$colid] ? 'checked' : '');
    
    if($col == 'oddl')
      $params .= " readonly class='readonly'";
    
    if($col == 'cena K')
      $params .= " class='intonly'";
    
    echo "<td><input$params></td>";  //vme parametry, vypem buku
  }
  
  //echo "<td><input type='button' name='delete_$rowid' value='X' class='delrow' title='smazat'></td>";
  echo "</tr>\n\n";
}


?>
</tbody>
</table>
<p><input type='submit' value='Uloit'>
<span class='jsid-addnew'> a zobrazit dal nov dek</span>
</form>

<script type="text/javascript">
<!--

var php_lastrowid = <?php echo $rowid; ?> 
var newrow_orig = false;

function addnew_init(){
  var n = $("#csvdata").children();
  last = $(n[n.length-1]);
  newrow_orig = last.clone(true);
  last.remove();
}
function addnew(){
  var newrow = newrow_orig.clone(true)
  $("#csvdata").append(newrow);
  newrow.find(":text").filter(":not(.readonly)").val("");
  newrow.find(":input").filter(":not(.delrow)").each(function(){
    this.name = "d["+php_lastrowid + this.name.substr(this.name.indexOf("]"));
  });
  php_lastrowid++;
}
function delrowhandler(){
  $(this).click(function(event){
    $(this).parents("tr").remove();
    event.preventDefault();
  });
}

$(document).ready(function(){
  $("#csvdata .delrow").each(delrowhandler);
  $('input.intonly').numeric(false);
  $('span.jsid-addnew').html("<input type='button' value='Pidat dek' onclick='addnew()'>");
  addnew_init();
});

//-->
</script>

<div id='navod'></div>
<?php
readfile("navod.htm");

page_footer();
exit;

