<?php

define("DATADIR", "csv/");
define("LOGDIR", "log/");
session_start();
setlocale(LC_ALL, 'cs_CZ');
//setlocale(LC_ALL, 'cs_CZ.UTF-8');
error_reporting(0);



function getUser($idx){
  if($idx === 'login') $idx = 0;
  if($idx === 'oddilid') $idx = 2;
  return $_SESSION["sess_invlogin"][$idx];
}


function auth(){
  if($_GET["logout"]){
    lock_logout();
    unset($_SESSION["sess_invlogin"]);  //odstranme promnnou ze session
  }
  
  if($_SESSION["sess_invlogin"])  //pokud je pihlen, neprovdnme dl
    return;
  
  $csv = getCsv(DATADIR."_login.csv");
  if($name=$_POST["xx1"] AND $pass=$_POST["xx2"]){  //kdy JE vyplnno jmno a heslo
    $result = false;
    
    //do $result si ulome dek kde pasovalo jmno i heslo
    foreach($csv[DATA] as $r){
      if($r[0] == $name AND $r[1] == $pass)
        $result = $r;
    }
    if($result){
      $_SESSION["sess_invlogin"] = $result;
      header("Location: ./");
      exit;
    }
    
    //v ppad e nebyl nalezen $result, nastavme hlku a pokraujeme vypsnm <form>
    $message = "Jmno nebo heslo je chybn vyplnno.";
  }
    
  
  page_header("Pihlate se");
  echo $message;
  ?>
  <form action="?" method="post">
  Jmno: <select name="xx1"><?php foreach($csv[DATA] as $r) echo '<option>'.$r[0]; ?></select><br>
  Heslo: &nbsp;<input type="password" name="xx2"><br>
  <input type="submit" value="Pihlsit se">
  </form>
  <?php
  page_footer();
  exit;  
}



define("HDR", 0);
define("DATA", 1);
function getCsv($filename){
  $hdr = false;
  $data = array();
  
  $handle = fopen($filename, "r");
  if(!$handle) return getCsv(DATADIR."_new.csv");
  
  while (($r = fgetcsv($handle, 0, ";")) !== FALSE) {
    if(!$hdr)
      $hdr = $r;
    else
      $data[] = $r;
  }
  fclose($handle);
  
  return array(HDR=>$hdr, DATA=>$data);
}


function createCompositeCsv(){
  $fw = fopen(DATADIR."_composite.csv", "w");
  $handle = opendir(DATADIR) or die("error-in-createCompositeCsv()");
	while(($f = readdir($handle)) !== false){
		if(ereg("^[^_].*\.csv$",$f)){
		  $content = file_get_contents(DATADIR.$f);
			fwrite($fw, $content);
		}
	}
  fclose($fw);
}



function lock_set(){
  $filelock = LOGDIR . getUser('oddilid') . ".lock";
  $locked = file_exists($filelock) AND filemtime($filelock) > time()-3600*2; //2 hodiny
  $lock = array();
  if($locked)
    $lock = unserialize(file_get_contents($filelock));
  $lock[substr(session_id(),-32).getUser('login')] = date("H:i");
  asort($lock);
  file_put_contents($filelock, serialize($lock));
  
  unset($lock[substr(session_id(),-32).getUser('login')]);
  return $lock;
}

function lock_logout(){
  $filelock = LOGDIR . getUser('oddilid') . ".lock";
  $lock = unserialize(file_get_contents($filelock));
  unset($lock[getUser('login')]);
  asort($lock);
  if(count($lock))
    file_put_contents($filelock, serialize($lock));
  else
    unlink($filelock);
}




/* ------------------- HTML layout ------------------------ */

function page_header($title=false){
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=cp1250">
<meta name="robots" content="noindex,follow">
<title><?php echo $title; ?> - Inventarizace</title>
<style type="text/css">
body{font-family:Verdana,Geneva,Arial,Helvetica,sans-serif;line-height:1.4;font-size:80%;}
table {border-collapse:collapse; width:100%;}
table th,table td {border: 1px #555 solid;}
table th {padding: 0 0.2em;}
table td {padding:0;}
table td input {width:96%;border:0}
input.delrow {color: red; background: none;}
input.readonly {color: #999;}
input.intonly {color:green}
.zprava {
	font-weight: bold;
  background: #ef0000;
	color: #fff;
  margin: 1em 0.5em;
  padding: 0.5em;
  -moz-border-radius: 11px;
}
.zprava a {color:#fff}

</style>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="jquery.numeric.js"></script>
</head>
<body>
<div style='float:right;'><img src='/images/logo.gif' alt='blanik.info'></div>
<?php
	if($title) echo "<h1>$title - Inventarizace</h1>\n\n";
}


function page_footer(){
	echo '<p style="text-align:right;font-size:80%;margin-top:4em;">inv 1.0 | (c) <a href="http://www.zby.cz/prg/php-csv-edit" title="inventarizace"><b>blanik.info</b></a> <span title="02.03.2009">&#39;09</span></p>';
	echo '</body>';
	echo '</html>';
}
